Skip to content

Xếp hạng đại lý - Xếp hạng doanh số ​

Giới thiệu ​

Lấy dữ liệu xếp hạng doanh số của đại lý đối tác TikTok, hỗ trợ các tính năng sau:

  • Đặt tham số lọc
  • Tùy chỉnh sắp xếp kết quả

Endpoint ​

bash
    POST /agency/v1/rank/salesRank

Phần thân phản hồi ​

TrườngKiểuBắt buộcMô tả
filterobjectKhôngTham số lọc
orderbyobjectKhôngTham số sắp xếp
pageintegerKhôngSố trang, giá trị mặc định: 1
pagesizeintegerKhôngSố bản ghi mỗi trang, mặc định: 10

tùy chọn filter ​

TrườngKiểuBắt buộcMô tả
regionstringKhôngKhu vực
date_infoobjectKhôngThông tin ngày

khoảng region: ['US','GB','MX','ES','DE','IT','FR','PT','NL','BE','AT','PL','ID','VN','MY','TH','PH','BR','JP','SG']

tùy chọn orderby ​

TrườngBắt buộcMô tả
usd_gmvKhôngGMV (giảm dần)

Ví dụ yêu cầu ​

bash
curl 'https://openapi.fastmoss.com/agency/v1/rank/salesRank' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxxxxxxx' \
--data '{
    "filter": {
        "region": "US",
        "date_info": {
            "type": "week",
            "value": "2026-05"
        }
    },
    "orderby": [
      {
        "field": "usd_gmv",
        "order": "desc"
      }
    ],
    "page": 1,
    "pagesize": 10
}'

Phần thân phản hồi ​

data.total ​

Tổng số kết quả

data.list ​

TrườngKiểuMô tả
idstringID đại lý
secidstringsecid của đại lý
regionintegerKhu vực
currencyintegerTiền tệ
gmvintegerGMV
usd_gmvintegerGMV USD
gmv_inc_ratestringTỷ lệ tăng trưởng GMV
commission_rateintegerTỷ lệ hoa hồng
hot_categoryarray<object>Danh mục hot
total_affiliate_countintegerTổng số nhà sáng tạo liên kết
inc_affiliate_countintegerNhà sáng tạo liên kết mới
sale_affiliate_countintegerNhà sáng tạo đang bán
product_countintegerTổng số sản phẩm
inc_product_countintegerSản phẩm mới
sale_product_countintegerSản phẩm đang bán
agencyobjectThông tin đại lý

data.list.agency ​

TrườngKiểuMô tả
idstringID đại lý
secidstringsecid của đại lý
namestringTên đại lý
regionstringKhu vực của đại lý
introductionstringGiới thiệu đại lý
logo_coverstringLogo đại lý

Ví dụ phản hồi ​

json
{
  "code": 0,
  "data": {
    "list": [
      {
        "id": "8649512756612795142",
        "secid": "7c3d85e96c36244a5f5184a5cfbb98f6",
        "region": "GB",
        "currency": "GBP",
        "gmv": 209066.76,
        "usd_gmv": 259242.78,
        "gmv_inc_rate": "-24.91%",
        "commission_rate": 990,
        "hot_category": [
          { "category_id": 14, "name": "Beauty & Personal Care" },
          { "category_id": 2, "name": "Womenswear & Underwear" },
          { "category_id": 3, "name": "Menswear & Underwear" }
        ],
        "total_affiliate_count": 301,
        "inc_affiliate_count": 67,
        "sale_affiliate_count": 138,
        "product_count": 63610,
        "inc_product_count": 656,
        "sale_product_count": 22035,
        "agency": {
          "id": "8649512756612795142",
          "secid": "7c3d85e96c36244a5f5184a5cfbb98f6",
          "name": "VibraVerse",
          "region": "GB",
          "introduction": "",
          "logo_cover": "https://s.500fd.com/tt_partner/wsos65b11f86df324b05"
        }
      }
    ],
    "total": 500,
    "date_type": "week",
    "date_value": "2026-03"
  },
  "msg": "success"
}